org.apache.commons.ssl.asn1

## Class ASN1OctetString

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.ASN1OctetString

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable, DERTags

Direct Known Subclasses:
  DEROctetString

    public abstract class ASN1OctetString
    extends ASN1Object
    implements ASN1OctetStringParser

### Field Summary

Fields
`(package private) byte[]` `string`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ASN1OctetString(byte[] string)`
`ASN1OctetString(DEREncodable obj)`

### Method Summary

Methods
`(package private) boolean` `asn1Equals(DERObject o)`
`(package private) abstract void` `encode(DEROutputStream out)`
`static ASN1OctetString` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Octet String from a tagged object.
`static ASN1OctetString` `getInstance(java.lang.Object obj)` return an Octet String from the given object.
`byte[]` `getOctets()`
`java.io.InputStream` `getOctetStream()`
`int` `hashCode()`
`ASN1OctetStringParser` `parser()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.commons.ssl.asn1.DEREncodable

`getDERObject`

### Field Detail

#### string

    byte[] string

### Constructor Detail

#### ASN1OctetString

    public ASN1OctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

#### ASN1OctetString

    public ASN1OctetString(DEREncodable obj)

### Method Detail

#### getInstance

    public static ASN1OctetString getInstance(ASN1TaggedObject obj,
                              boolean explicit)

return an Octet String from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

#### getInstance

    public static ASN1OctetString getInstance(java.lang.Object obj)

return an Octet String from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getOctetStream

    public java.io.InputStream getOctetStream()

Specified by:
  `getOctetStream` in interface `ASN1OctetStringParser`

#### parser

    public ASN1OctetStringParser parser()

#### getOctets

    public byte[] getOctets()

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ASN1Object`

#### asn1Equals

    boolean asn1Equals(DERObject o)

Specified by:
  `asn1Equals` in class `ASN1Object`

#### encode

    abstract void encode(DEROutputStream out)
                  throws java.io.IOException

Specified by:
  `encode` in class `ASN1Object`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`